#ifndef WMM2005_INC
#define WMM2005_INC

class WMM2005 {
private:
  int maxord;
  int epoch;
  double g[13][13];
  double gd[13][13];
  double h[13][13];
  double hd[13][13];
  double fn[13];
  double fm[13];
  double k[13][13];
  void normalizeCof();
public:
  void geomg1(double alt, double rlat, double rlon, double time, double& bx, double& by, double& bz, double& ti, double& h, double& dec, double& dip);
  WMM2005();
};


#endif